#32/64
Summary:        Sony PlayStation Portable (PSP) emulator
Name:           ppsspp
Version:        1.4.2
Release:        %mkrel 1
License:        GPLv2+
Group:          Emulators
Url:            http://www.ppsspp.org

Source0:        %{name}-%{version}.tar.xz
Patch0:         ppsspp-1.4.2-mga-system-libs.patch
Patch1:         ppsspp-1.1.0-git-version.patch
Patch2:         ppsspp-1.4.0-datapath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  cmake
BuildRequires:  ImageMagick
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}mesaglu1-devel
BuildRequires:  %{_lib}glew-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}zip-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  zlib1-devel
BuildRequires:  %{_lib}snappy-devel
Requires:	%{_lib}glew1.11
Requires:	%{_lib}zip4

%description
PPSSPP is a cross-platform Sony PlayStation Portable (PSP) emulator.

PPSSPP can run your PSP games on your PC in full HD resolution, and play
them on Android too. It can even upscale textures that would otherwise be
too blurry as they were made for the small screen of the original PSP.


#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


# Fix version string
sed s,"unknown_version","%{version}-%{release}",g -i git-version.cmake

# Make sure those are not used
rm -rf ext/{glew,snappy,zlib}
rm -rf ext/native/ext/libzip
#rm -rf ext/native/ext/libpng17

%build
%cmake \
  -DHEADLESS=OFF \
  -DUSE_FFMPEG=ON \
  -DUSE_SYSTEM_FFMPEG=ON
%make

%install
# no make install for ppsspp, only for its bundled deps
install -D -m755 build/PPSSPPSDL %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a build/assets %{buildroot}%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=PPSSPP
GenericName=PSP Emulator
Comment=PlayStation Portable Simulator Suitable for Playing Portably (PPSSPP)
Exec=ppsspp %f
Icon=ppsspp
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

install -d %{buildroot}%{_iconsdir}
cp -a icons/hicolor %{buildroot}%{_iconsdir}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%doc LICENSE.TXT README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png

%changelog
* Mon Apr 09 2018 adrianomorselli <adrianomorselli> 1.4.2-1uplos2018
- Created the package PPSSPP, with latest sources, Spec's adapted from Mageia and Rosa Linux
- thanks to Agent Smith



